/* 変数管理システム */
#include "defines.h"
#include "vsiki.h"

long var_search2(unchar *vname,VARSYS *gvar,VARSYS *lvar,int *sel,int *md)
/* 変数サーチ（ローカル変数対応）*/
/* gvar=グローバル , lvar=ローカル(=NULL/.vwork==NULLならローカル無し) */
/* return=0:その変数は定義されていない（グローバル／ローカルとも）
	 >0:その変数の格納位置（数値確定）
	 <0:その変数の格納位置*-1（数値未確定）
   sel : 0=gvar中に有った , 1=lvar中に有った
*/
{
long p=0;
	*sel=0;
	if (lvar!=NULL&&lvar->vwork!=NULL&&lvar!=gvar) {
		/* ローカルサーチ */
		p=var_search(vname,lvar,md);
		if (p!=0) *sel=1; /* ローカルに有った */
	}
	if (p==0) { /* ローカルにはない */
		/* グローバルサーチ */
		p=var_search(vname,gvar,md);
	}
	return(p);
}
